"""add log kind for regenerating robot tokens

Revision ID: 43e943c0639f
Revises: 82297d834ad
Create Date: 2014-08-25 17:14:42.784518

"""

# revision identifiers, used by Alembic.
revision = '43e943c0639f'
down_revision = '82297d834ad'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

def upgrade(tables):
    op.bulk_insert(tables.logentrykind,
    [
        {'id': 41, 'name':'regenerate_robot_token'},
    ])


def downgrade(tables):
    op.execute(
        (tables.logentrykind.delete()
            .where(tables.logentrykind.c.name == op.inline_literal('regenerate_robot_token')))

    )
